<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="./../plantilla-principal.xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf">

    <ui:define name="contenido">
        <f:metadata>
            <f:viewParam id="ids" name="ids" value="#{detalleSuscripcionManBean.idSusc}" />
            <f:viewAction action="#{detalleSuscripcionManBean.verDetalleSuscripcion()}" />
        </f:metadata>
        <f:metadata>
            <f:event type="preRenderView" listener="#{sessionManBean.verificarLogueado()}"></f:event>
        </f:metadata>
        <f:metadata>
            <f:event type="preRenderView" listener="#{sessionManBean.modulosFuncionalidad(7)}"></f:event>
        </f:metadata>
        <h1>Detalle de la suscripción</h1>
        <div class="ui grid">
            <div class="six wide column">
                <table class="ui definition table">
                    <tbody>
                        <tr>
                            <td class="five wide column">Código</td>
                            <td><h4>#{detalleSuscripcionManBean.suscripcionVar.idsuscripcion}</h4></td>
                        </tr>
                        <tr>
                            <td>Cliente</td>
                            <td>
                                #{detalleSuscripcionManBean.suscripcionVar.cliente.idcliente}-#{detalleSuscripcionManBean.suscripcionVar.cliente.razonSocial}
                                (ci:
                                <h:outputText value="#{detalleSuscripcionManBean.suscripcionVar.cliente.ci}" >
                                    <f:convertNumber pattern="###,###,###,###" />
                                </h:outputText>
                                ) 
                            </td>
                        </tr>
                        <tr>
                            <td>Servicio</td>
                            <td>#{detalleSuscripcionManBean.suscripcionVar.servicio.nombre}</td>
                        </tr>
                        <tr>
                            <td>Monto de cuota</td>
                            <td>
                                <h:outputText value="#{detalleSuscripcionManBean.suscripcionVar.precio}">
                                    <f:convertNumber pattern="###,###,###,###" />
                                </h:outputText>
                            </td>
                        </tr>
                        <tr>
                            <td>Fecha de suscripción</td>
                            <td>
                                <h:outputText value="#{detalleSuscripcionManBean.suscripcionVar.fechaSuscripcion}">
                                    <f:convertDateTime pattern="dd/MMMM/yyyy" />
                                </h:outputText>
                            </td>
                        </tr>
                        <tr>
                            <td>Vencimiento</td>
                            <td>#{detalleSuscripcionManBean.suscripcionVar.diaVencimientoMes} de cada mes</td>
                        </tr>
                        <tr>
                            <td>Estado</td>
                            <td class="#{detalleSuscripcionManBean.suscripcionVar.estado.recibeServicio?'positive':'negative'}">
                                #{detalleSuscripcionManBean.suscripcionVar.estado.nombre}
                            </td>
                        </tr>
                        <tr>
                            <td>Cantidad de TVs</td>
                            <td>#{detalleSuscripcionManBean.suscripcionVar.cantidadTvs}</td>
                        </tr>
                        <tr>
                            <td>Número de medidor</td>
                            <td>#{detalleSuscripcionManBean.suscripcionVar.nroMedidorElectrico}</td>
                        </tr>
                        <tr>
                            <td>Tipo de vivienda</td>
                            <td>#{detalleSuscripcionManBean.suscripcionVar.tipoVivienda.nombre}</td>
                        </tr>
                        <tr>
                            <td>Cobrador</td>
                            <td>(#{detalleSuscripcionManBean.suscripcionVar.cobrador.ci}) #{detalleSuscripcionManBean.suscripcionVar.cobrador.nombres} #{detalleSuscripcionManBean.suscripcionVar.cobrador.apellidos}</td>
                        </tr>
                        <tr>
                            <td>Barrio</td>
                            <td>#{detalleSuscripcionManBean.suscripcionVar.barrio.nombre}</td>
                        </tr>
                        <tr>
                            <td>Dirección</td>
                            <td>#{detalleSuscripcionManBean.suscripcionVar.direccion}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="ten wide column">

                <!--<div class="ui top attached tabular menu">-->
                <div class="ui pointing secondary menu">
                    <a class="item active" data-tab="cuotas">Cuotas</a>
                    <a class="item" data-tab="cestado">Cambios de estado</a>
                    <a class="item" data-tab="actividad">Actividad</a>
                </div>
                <!--<div class="ui bottom attached active basic tab segment" data-tab="cuotas">-->
                <div class="ui active tab" data-tab="cuotas">
                    <h:form>
                        <div class="ui fitted item">
                            <h:commandLink id="btn-nuevo" class="ui right labeled icon button" actionListener="#{detalleSuscripcionManBean.generarReportePDF()}">
                                <i class="print icon" />
                                Vista previa
                            </h:commandLink>
                        </div>
                    </h:form>
                    <h:form id="form-cuotas">
                        <table class="ui green table">
                            <thead>
                                <tr>
                                    <th class="collapsing"></th>
                                    <th>Cuota</th>
                                    <th>Pagado</th>
                                    <th>Saldo</th>
                                    <th>Mes</th>
                                    <th>Vencimiento</th>
                                    <th>Fecha Pago</th>
                                    <th>Obs.</th>
                                    <th class="collapsing"></th>
                                    <th class="collapsing"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <ui:repeat value="#{detalleSuscripcionManBean.lstCuotas}" var="cuota" varStatus="cuotaStatus">
                                    <tr>
                                        <td class="center aligned">
                                            <i class="#{cuota.cancelado?'green checkmark icon':'minus icon'}" />
                                        </td>
                                        <td>
                                            <h:outputText value="(Exonerado)" rendered="#{cuota.montoCuota==0}" />
                                            <h:outputText rendered="#{cuota.montoCuota>0}" value="#{cuota.montoCuota}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </td>
                                        <td>
                                            <h:outputText value="#{cuota.montoEntrega!=null?cuota.montoEntrega:0}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </td>
                                        <td>
                                            <h:outputText value="#{cuota.montoEntrega!=null?cuota.montoCuota-cuota.montoEntrega:cuota.montoCuota}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </td>
                                        <td>
                                            <h:outputText value="#{utilConversion.getNombreMes(cuota.mesCuota)}" />/#{cuota.anioCuota}
                                        </td>
                                        <td>
                                            <h:outputText value="#{cuota.fechaVencimiento}">
                                                <f:convertDateTime pattern="dd/MM/yyyy" />
                                            </h:outputText>
                                        </td>
                                        <td>
                                            <h:outputText value="#{cuota.fechaPago}">
                                                <f:convertDateTime pattern="dd/MM/yyyy" />
                                            </h:outputText>
                                        </td>
                                        <td id="col-obs" data-content="popup pruebaa">
                                            <div data-tooltip="#{cuota.observacion}">
                                                <h:outputText value="#{cuota.observacion.length() gt 15?cuota.observacion.substring(0,14).concat('...'):cuota.observacion}" />
                                            </div>
                                        </td>
                                        <td>
                                            <h:commandLink rendered="#{sessionManBean.permisosAsignados(41)?!cuota.cancelado || cuota.montoCuota==0: ''}" action="#{detalleSuscripcionManBean.seleccionCuotaEditar(cuota.idcuota)}">
                                                <i class="yellow edit link icon" />
                                                <f:ajax execute="@this" render="dlg-editar-cuo" onevent="function(data){ajaxMostrarDlgEditar(data)}" />
                                            </h:commandLink>
                                        </td>
                                        <td>
                                            <div jsf:rendered="#{sessionManBean.permisosAsignados(40)?!cuota.cancelado || cuota.montoCuota==0: ''}">
                                                <i class="red trash link icon" onclick="mostrarDlgConfElim(#{cuota.idcuota})" />
                                            </div>
                                        </td>

                                    </tr>
                                </ui:repeat>
                            </tbody>
                        </table>
                    </h:form>
                </div>
                <div class="ui tab" data-tab="cestado">
                    <h:form id="form-actividad">
                        <table class="ui teal table">
                            <thead>
                                <tr>
                                    <th>Estado</th>
                                    <th>F. Solicitud</th>
                                    <th>F. Hecho</th>

                                    <th>Observación</th>
                                    <th>Hecho</th>
                                </tr>
                            </thead>
                            <tbody>
                                <ui:repeat value="#{detalleSuscripcionManBean.lstSolicitudCE}" var="sce" varStatus="sceStatus">
                                    <tr>
                                        <td>Cambio de #{sce.estadoAnterior.nombre} a #{sce.estadoNuevo.nombre}</td>
                                        <td>
                                            <h:outputText value="#{sce.fechaSolicitud}" >
                                                <f:convertDateTime pattern="dd/MMMM/yyyy" />
                                            </h:outputText>
                                        </td>
                                        <td>
                                            <h:outputText value="#{sce.fechaConcrecion}" >
                                                <f:convertDateTime pattern="dd/MMMM/yyyy" />
                                            </h:outputText>
                                        </td>

                                        <td>
                                            #{sce.observacion}
                                        </td>
                                        <td class="center aligned">
                                            <i class="#{sce.concretado?'green checkmark icon':'red remove icon'}" />
                                        </td>
                                    </tr>

                                </ui:repeat>
                            </tbody>
                        </table>
                    </h:form>
                </div>
                <div class="ui tab" data-tab="actividad">
                    <h:form id="form-historial-suscripcion" class="ui form">
                        <div class="fields">
                            <div class="ten wide field field">
                                <label>
                                    <span data-tooltip="Quitar filtro" data-inverted="">
                                    <i class="red close link icon"  onclick="$('#cmb-campo-susc-filtro').dropdown('clear')" />
                                    </span>
                                    Campo de la suscripción
                                </label>
                                <div id="cmb-campo-susc-filtro" class="ui selection dropdown">
                                    <input type="hidden" name="in-idcampo-suscripcion" jsf:value="#{detalleSuscripcionManBean.idCampoSuscFiltro}" />
                                    <i class="dropdown icon"></i>
                                    <div class="default text">(Todos los campos)</div>
                                    <div class="menu">
                                        <ui:repeat value="#{detalleSuscripcionManBean.camposSuscripcionList}" var="cs">
                                            <div class="item" data-value="#{cs.idcampoSuscripcion}">#{cs.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                            <div class="six wide field">
                                <label><br/></label>
                                <h:commandLink id="btn-filtrar-historial" class="ui right labeled fluid icon button" actionListener="#{detalleSuscripcionManBean.filtrarHistorialSuscripcion()}">
                                    <i class="filter icon "/>
                                    Filtrar
                                    <f:ajax execute="@form" render="form-historial-suscripcion:tbl-historial-suscripcion" onevent="function(data){ajaxFiltrarSuscripcion(data)}" />
                                </h:commandLink>
                            </div>
                        </div>
                        <table jsf:id="tbl-historial-suscripcion" class="ui orange celled table">
                            <thead>
                                <tr>
                                    <th>Campo</th>
                                    <th>Valor anterior</th>
                                    <th>Valor nuevo</th>
                                    <th>Editado por</th>
                                    <th>Fecha edición</th>
                                </tr>
                            </thead>
                            <tbody>
                                <ui:repeat value="#{detalleSuscripcionManBean.lstHistorialSuscripcion}" var="hs">
                                    <tr>
                                        <td>#{hs.campoSuscripcion.nombre}</td>
                                        <td jsf:rendered="#{hs.claveRefAnterior!=null}" data-tooltip="Código de referencia: #{hs.claveRefAnterior}" data-inverted="">#{hs.valorAnterior}</td>
                                        <td jsf:rendered="#{hs.claveRefAnterior==null}" data-tooltip="Sin código de referencia" data-inverted="">#{hs.valorAnterior}</td>
                                        <td jsf:rendered="#{hs.claveRefNuevo!=null}" data-tooltip="Código de referencia: #{hs.claveRefNuevo}" data-inverted="">#{hs.valorNuevo}</td>
                                        <td jsf:rendered="#{hs.claveRefNuevo==null}" data-tooltip="Sin código de referencia" data-inverted="">#{hs.valorNuevo}</td>
                                        <td>(#{hs.funcionario.idfuncionario})
                                            <h:outputText rendered="#{hs.funcionario.apellidos==null}" value="#{hs.funcionario.nombres}" />
                                            <h:outputText rendered="#{hs.funcionario.apellidos!=null}" value="#{hs.funcionario.nombres} #{hs.funcionario.apellidos}" />
                                        </td>
                                        <td>
                                            <h:outputText value="#{hs.fechaHoraCambio}">
                                                <f:convertDateTime pattern="dd/MM/yy HH:mm:ss" />
                                            </h:outputText>
                                        </td>
                                    </tr>
                                </ui:repeat>
                            </tbody>
                        </table>

                    </h:form>
                </div>
            </div>

        </div>
        <h:form rendered="#{sessionManBean.permisosAsignados(40)}" id="dlg-confirm-elimcuo" class="ui basic modal">
            <input type="hidden" jsf:id="in-idcuoelim" jsf:value="#{detalleSuscripcionManBean.idCuotaEliminar}" />
            <div class="ui icon header">
                <i class="trash icon"></i>
                Eliminar cuota
            </div>
            <div class="content">
                <p>¿Desea eliminar la cuota?</p>
            </div>
            <div class="actions">
                <h:commandLink rendered="#{sessionManBean.permisosAsignados(40)}" class="ui green inverted button" action="#{detalleSuscripcionManBean.eliminarCuota()}">
                    <i class="checkmark icon"></i>
                    Si
                    <f:ajax execute="@form" render="form-cuotas" onevent="function(data){ajaxEliminarCuota(data)}" />
                </h:commandLink>
                <div class="ui red basic cancel inverted button">
                    <i class="remove icon"></i>
                    No
                </div>

            </div>
        </h:form>
        <h:form rendered="#{sessionManBean.permisosAsignados(41)}" id="dlg-editar-cuo" class="ui modal">
            <input jsf:id="in-idcuotaedit" type="hidden" jsf:value="#{detalleSuscripcionManBean.cuotaEditVar.idcuota}" />
            <i class="close icon"></i>
            <div class="header">
                Editar Cuota
            </div>
            <div class="content">
                <div class="ui form">
                    <div class="field">
                        <label>Monto</label>
                        <input type="number" jsf:value="#{detalleSuscripcionManBean.cuotaEditVar.montoCuota}" />
                    </div>
                    <div class="fields">
                        <div class="eight wide field">
                            <label>Vencimiento</label>
                            <div id="cal-fechavto-cuo" class="ui calendar">
                                <div class="ui input left icon">
                                    <i class="calendar icon" />
                                    <input id="fecha-vto-cuo" jsf:value="#{detalleSuscripcionManBean.fechaVtoEdit}" type="text" placeholder="Fecha" />
                                </div>
                            </div>
                        </div>
                        <div class="four wide field">
                            <label>Año</label>
                            <input id="in-anio-edit" jsf:value="#{detalleSuscripcionManBean.cuotaEditVar.anioCuota}" type="text" class="ui disabled input" />
                        </div>
                        <div class="four wide field">
                            <label>Mes</label>
                            <div id="cmb-mes-cuoedit" class="ui disabled selection dropdown">
                                <input id="in-mes-edit" name="in-mes-edit" jsf:value="#{detalleSuscripcionManBean.cuotaEditVar.mesCuota}" type="hidden" />
                                <i class="dropdown icon"></i>
                                <div class="default text">Mes</div>
                                <div class="menu">
                                    <div class="item" data-value="1">Enero</div>
                                    <div class="item" data-value="2">Febrero</div>
                                    <div class="item" data-value="3">Marzo</div>
                                    <div class="item" data-value="4">Abril</div>
                                    <div class="item" data-value="5">Mayo</div>
                                    <div class="item" data-value="6">Junio</div>
                                    <div class="item" data-value="7">Julio</div>
                                    <div class="item" data-value="8">Agosto</div>
                                    <div class="item" data-value="9">Septiembre</div>
                                    <div class="item" data-value="10">Octubre</div>
                                    <div class="item" data-value="11">Noviembre</div>
                                    <div class="item" data-value="12">Diciembre</div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="field">
                        <label>Observación</label>
                        <div class="ui input">
                            <input type="text" placeholder="Observación" jsf:value="#{detalleSuscripcionManBean.cuotaEditVar.observacion}" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="actions">

                <h:commandLink rendered="#{sessionManBean.permisosAsignados(41)}" class="ui teal right labeled icon button" action="#{detalleSuscripcionManBean.guardarCuota()}">
                    Guardar
                    <i class="save icon"></i>
                    <f:ajax execute="@form" render="form-cuotas" onevent="function(data){ajaxGuardarCuota(data)}" />
                </h:commandLink>
                <div class="ui red right labeled icon deny button">
                    Cancelar
                    <i class="remove icon" />
                </div>
            </div>
        </h:form>
        <script>
            function ajaxFiltrarSuscripcion(data){
                var s=data.status;
                switch(s){
                    case 'success':{
                            $('#form-historial-suscripcion\\:btn-filtrar-historial').removeClass('disabled');
                            $('#form-historial-suscripcion\\:btn-filtrar-historial').removeClass('loading');
                            break;
                    }
                    case 'begin':{
                            $('#form-historial-suscripcion\\:btn-filtrar-historial').addClass('disabled');
                            $('#form-historial-suscripcion\\:btn-filtrar-historial').addClass('loading');
                            break;
                    }
                }
            }
            function ajaxEliminarCuota(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                        $('#dlg-confirm-elimcuo').modal('hide');
                        break;
                }
            }
            function ajaxMostrarDlgEditar(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {

                        $('#dlg-editar-cuo').modal('show');
                        $("#cal-fechavto-cuo").calendar({
                            type: 'date',
                            text: {
                                days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                                months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                                monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                                today: 'Hoy',
                                now: 'Ahora',
                                am: 'AM',
                                pm: 'PM'
                            },
                            onChange: function (date, text, mode) {
                                $('#cmb-mes-cuoedit').dropdown('set selected', date.getMonth() + 1);
                                $('#in-anio-edit').val(date.getFullYear());
                            }
                        });
                        $('#cmb-mes-cuoedit').dropdown('set selected', $("#cal-fechavto-cuo").calendar('get date').getMonth() + 1);
                        $('#in-anio-edit').val($("#cal-fechavto-cuo").calendar('get date').getFullYear());

                        break;
                    }
                }
            }
            function mostrarDlgConfElim(idcuo) {
                console.log('Eliminar ' + idcuo);
                $('#dlg-confirm-elimcuo\\:in-idcuoelim').val(idcuo);
                $('#dlg-confirm-elimcuo').modal('show');
            }

            function ajaxGuardarCuota(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        $('#dlg-editar-cuo').modal('hide');
                        break;
                    }
                }
            }

            function getNombreMes(nro) {
                switch (nro) {
                    case 0:
                    {
                        return 'enero';
                        break;
                    }
                    case 1:
                    {
                        return 'febrero';
                        break;
                    }
                    case 2:
                    {
                        return 'marzo';
                        break;
                    }
                    case 3:
                    {
                        return 'abril';
                        break;
                    }
                    case 4:
                    {
                        return 'mayo';
                        break;
                    }
                    case 5:
                    {
                        return 'junio';
                        break;
                    }
                    case 6:
                    {
                        return 'julio';
                        break;
                    }
                    case 7:
                    {
                        return 'agosto';
                        break;
                    }
                    case 8:
                    {
                        return 'septiembre';
                        break;
                    }
                    case 9:
                    {
                        return 'octubre';
                        break;
                    }
                    case 10:
                    {
                        return 'noviembre';
                        break;
                    }
                    case 11:
                    {
                        return 'diciembre';
                        break;
                    }
                    default:
                    {
                        return '';
                        break;
                    }
                }
            }

            function mostrarDlgEdit(id) {
                $('$dlg-editar-cuo\\:in-idcuotaedit').val(id);
//                $('#dlg-editar-cuo').modal('show');
            }
            $(document).ready(function () {
                $('.menu .item').tab();


            });
        </script>
    </ui:define>

</ui:composition>
